# Record TCefBinaryValue

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBinaryValue = record`

## Description

Structure representing a binary value. Can be used on any process and thread.

NOTE: This struct is allocated DLL-side.

Implemented by ICefBinaryValue.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_binary_value_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `is_valid: function(self: PCefBinaryValue): Integer; stdcall;`
| `is_owned: function(self: PCefBinaryValue): Integer; stdcall;`
| `is_same: function(self, that: PCefBinaryValue):Integer; stdcall;`
| `is_equal: function(self, that: PCefBinaryValue): Integer; stdcall;`
| `copy: function(self: PCefBinaryValue): PCefBinaryValue; stdcall;`
| `get_raw_data: function(self: PCefBinaryValue): Pointer; stdcall;`
| `get_size: function(self: PCefBinaryValue): NativeUInt; stdcall;`
| `get_data: function(self: PCefBinaryValue; buffer: Pointer; buffer_size, data_offset: NativeUInt): NativeUInt; stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `is_valid: function(self: PCefBinaryValue): Integer; stdcall;`
This item has no description.

| `is_owned: function(self: PCefBinaryValue): Integer; stdcall;`
This item has no description.

| `is_same: function(self, that: PCefBinaryValue):Integer; stdcall;`
This item has no description.

| `is_equal: function(self, that: PCefBinaryValue): Integer; stdcall;`
This item has no description.

| `copy: function(self: PCefBinaryValue): PCefBinaryValue; stdcall;`
This item has no description.

| `get_raw_data: function(self: PCefBinaryValue): Pointer; stdcall;`
This item has no description.

| `get_size: function(self: PCefBinaryValue): NativeUInt; stdcall;`
This item has no description.

| `get_data: function(self: PCefBinaryValue; buffer: Pointer; buffer_size, data_offset: NativeUInt): NativeUInt; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.